Modules: All our modules are Xoops 2.3 compatibles (News, Newbbex, Marquee, Shortcuts, Myiframe, iSearch, Userpage, Boox & XoopsCare)

Posted by: instantzeroon 2008/8/9 17:20:00 12460 reads Resized Image

Hello,

We are happy to announce you that all our modules were tested (and corrected) and are declared compatibles with Xoops 2.3.
All those releases were not created to add new features but to ensure that they are compatibles with Xoops 2.3.
So there's no change in the translations.
Our modules are still compatibles with Xoops 2.0.18 but you can also use them with Xoops 2.3
We encourage you to upgrade every module of your site.
Download the modules you need, uncompress them and copy their files to your website then update them in the Xoops modules manager.

We used this test time to update the other modules we have maintained or modified recently like Mydownloads and Birthday.

Here is the full changelog for each module (each module's name brings you to its full description and his download link)

News version 1.62
- The module is now Xoops 2.3 compatible
- Many corrections in the use of the deprecated TextSanitizer functions
- Modification of tcpdf to be able to see pictures inside PDFs (thanks colossus)
- TCPDF was updated to its version 4.0.017 (don't forget to create a file for your language in /xoops/modules/news/pdf/config/lang)

Newbbex version 1.6
- The module is now Xoops 2.3 compatible
- Many corrections in the use of the deprecated TextSanitizer functions
- Some bugs corrections in the attachments
- I have removed some warnings
- Correction of a typo in the english blocks.php file

Marquee version 2.46
- The module is now Xoops 2.3 compatible

Shortcuts version 1.7
- The module is now Xoops 2.3 compatible
- A warning was removed in the module's index page

MyIframe version 1.6
- The module is now Xoops 2.3 compatible
- Bugs corrections

iSearch version 1.8
- The module is now Xoops 2.3 compatible
- Bugs corrections in class/blacklist.php
- Minor change in the search

UserPage version 1.3
- The module is now Xoops 2.3 compatible
- Minor changes in a page title

Boox version 1.5
- The module is now Xoops 2.3 compatible

XoopsCare version 1.22
- The module is now Xoops 2.3 compatible
- Minor changes in the module's administration
- The module now clean the cache in XOOPS_TRUST_PATH

Mydownloads version 1.6
- The module is now Xoops 2.3 compatible
- Many corrections in the use of the deprecated TextSanitizer functions
- In the form used to submit a new download in the user side, the download url and the file's size were not visible anymore
- Some warnings in the module were removed
- I have made a change in include/search.inc.php because of Php 4
- You will get this warning :
Warning: Class 'XoopsTree' is deprecated, check 'XoopsObjectTree' in tree.php in file /class/xoopstree.php line 45
It will be changed later.

Birthday version 2.2
- The module is now Xoops 2.3 compatible
- Minor change in the module's administration
- The module will not add asterisks to forms under Xoops 2.3
- Correction of a bug in the comments

We remind you that as of yesterday (8/8/2008); Php 4 is DEAD, so all our modules are now only running with Php 5 and we encourage you to upgrade your website if you are still using Php 4.

Best regards,
Instant Zero